# uip_tcpip_hdr Struct Reference
[The uIP TCP/IP stack]

## Detailed Description

Definition at line 1386 of file uip.h.

## Data Fields

u8_t | vhl
u8_t | tos
u8_t | len [2]
u8_t | ipid [2]
u8_t | ipoffset [2]
u8_t | ttl
u8_t | proto
u16_t | ipchksum
u16_t | srcipaddr [2]
u16_t | destipaddr [2]
u16_t | srcport
u16_t | destport
u8_t | seqno [4]
u8_t | ackno [4]
u8_t | tcpoffset
u8_t | flags
u8_t | wnd [2]
u16_t | tcpchksum
u8_t | urgp [2]
u8_t | optdata [4]